Package it.ernytech.tdlib

## Class TdApi.CreateNewBasicGroupChat

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CreateNewBasicGroupChat

Enclosing class:
  TdApi

    public static class TdApi.CreateNewBasicGroupChat
    extends TdApi.Function

Creates a new basic group and sends a corresponding messageBasicGroupChatCreate. Returns the newly created chat.

Returns `Chat`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `title` Title of the new basic group; 1-255 characters.
`int[]` `userIds` Identifiers of users to be added to the basic group.

### Constructor Summary

Constructors
`CreateNewBasicGroupChat()` Default constructor.
`CreateNewBasicGroupChat​(int[] userIds, java.lang.String title)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### userIds

    public int[] userIds

Identifiers of users to be added to the basic group.

#### title

    public java.lang.String title

Title of the new basic group; 1-255 characters.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CreateNewBasicGroupChat

    public CreateNewBasicGroupChat()

Default constructor.

#### CreateNewBasicGroupChat

    public CreateNewBasicGroupChat​(int[] userIds,
                                   java.lang.String title)

Constructor for initialization of all fields.

Parameters:
  `userIds` - Identifiers of users to be added to the basic group.
  `title` - Title of the new basic group; 1-255 characters.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR